 
/* Include any standard system header files */

#include <stdlib.h>
#include <stdio.h>

/* Include the isdc.h header file */

#ifndef ISDC_INCLUDED
#include <isdc.h>
#endif

/* Include other ISDC system library header files */

#ifndef DAL_INCLUDED
#include <dal.h>
#endif

#ifndef PIL_INCLUDED
#include <pil.h>
#endif

#ifndef RIL_INCLUDED
#include <ril.h>
#endif

/* Subroutines for the user supplied analysis executable functions */
#include<iostream.h>

#include "parameters.h"  /* class definition */
int get_par(){

extern parameters parameters; /* global, defined in other file */

int status;

 
 if (parameters.debug>0){parameters.print();}


 

int ival;          
double rval ;
char   sval[400];
char  name[40];

strcpy(name,"debug");
status=PILGetInt(name,&ival);    
if(status!=0)printf(">> get_par PILGetInt  status        %d\n",status);
parameters.debug  =ival   ;

 
RILlogMessage(NULL,Log_1," get_par begins "       );


strcpy(name,"title"             );
status=PILGetString(name, sval   );
if(status!=0)printf(">> get_par PILGetString status        %d\n",status);
parameters.title             =new char[400];
strcpy(parameters.title             ,sval)   ;

//AWS20030506
/*
strcpy(name,"exclude_energy_min"             );
status=PILGetReal  (name, &rval   );
if(status!=0)printf(">> get_par PILGetReal   status        %d\n",status);
 parameters.exclude_energy_min=rval;

strcpy(name,"exclude_energy_max"             );
status=PILGetReal  (name, &rval   );
if(status!=0)printf(">> get_par PILGetReal   status        %d\n",status);
 parameters.exclude_energy_max=rval;

strcpy(name,"line_energy_init"             );
status=PILGetReal  (name, &rval   );
if(status!=0)printf(">> get_par PILGetReal   status        %d\n",status);
 parameters.line_energy_init=rval;

strcpy(name,"fit_energy_min"             );
status=PILGetReal  (name, &rval   );
if(status!=0)printf(">> get_par PILGetReal   status        %d\n",status);
 parameters.fit_energy_min=rval;

strcpy(name,"fit_energy_max"             );
status=PILGetReal  (name, &rval   );
if(status!=0)printf(">> get_par PILGetReal   status        %d\n",status);
 parameters.fit_energy_max=rval;
*/

// generate the pointer to input and output datasets
  char *inGroup  = "rogroup";
  char *outGroup = "rwgroup";
  char  inDOLstring[400];
  char outDOLstring[400];
 
   strcpy(inDOLstring,"counts_ON_input_file,counts_OFF_input_file,ebounds_input_file,deadtime-dol");

   strcpy(outDOLstring,"back_output_file"); // NB this comes first in common_group!
  //    strcpy(outDOLstring,"");

  int makeUnique=0 ; /* so that datasets with identical input EXTNAME also work */
  int clobber;  
    

  /* Get the parameters */

  status = CommonPreparePARsStrings(inGroup,inDOLstring,
                                    outGroup,outDOLstring,makeUnique,
                                    &parameters.common_group,
                                    &clobber,status);
    
 RILlogMessage(NULL,Log_1,"CommonPreparePARsStrings status=%d",status); 

  


 

 
 RILlogMessage(NULL,Log_1," get_par ends "       );

 return status;} //AWS20010213

 

